# Update Agent in Account

URL: https://www.inclamo.com/docs/api/application/agents/update-agent-in-account

> Update an Agent in Account

## PATCH /api/v1/accounts/{account_id}/agents/{id}

Update Agent in Account

Update an Agent in Account

Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `id` (path, required, integer): The ID of the agent to be updated.

### Request body

`application/json` (required)

```json

{
  "$ref": "#/components/schemas/agent_update_payload"
}

```

### Responses

- 200: Success
- 403: Access denied
- 404: Agent not found

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
